Utilisateurs de Mac sous OS "YOSEMITE" : comment rentrer dans "TAX-ON-WEB" ? Noté 4 sur 5 étoiles

Utilisateurs de Mac Yosemite en Belgique: pour s'identifier pour "TAX-ON-WEB", utiliser Firefox. Lui aller faire chercher, par son petit moteur de recherche de modules, l'extension "eID. Belgique" (taper eID Belgique dans le champ "recherche de modules"). La dervière version en juillet 2015 est : "1.0.18". Ne pas s'occuper de l' "Add-on" conseillé par le développeur de "FGov" lui-même (Fedict) : il est probablement inopérant car périmé. Qui plus est, si vous lui demandez conseil en français, il vous répondra en anglais. Si vous tenez à ce qu'il vous aide, demandez le poliment en néerlandais.
L'extension "eID. Belgique" que Firefox ira chercher lui-même sera, c'est certain, la dernière version de cette Extension du navigateur : la seule utile. Et Firefox avertit : "Utilisez la carte d'identité électronique belge (eID) dans Firefox. Outre ce module, vous devez aussi installer le middleware eID sur votre ordinateur. Téléchargez le middleware pour votre système d'exploitation sur eid.belgium.be."). Après avoir téléchargé cet "add-on", cette extension, redémarrer Firefox, puis le quitter.
Télécharger, sur le site "Tax-On-Web, la dernière version du middelware eID mise au point par le développeur Fedict : indispensable. L'installer, redémarrer l'ordinateur, brancher le lecteur de carte à puce, lancer le "eID viewer app", glisser sa carte d'identité électronique dans le lecteur, et vérifier que les données apparaissent. Vérifier le code pin comme demandé par l'onglet "carte/pin" de l' "eID viewer". Et y ouvrir l'onglet "Certificats" : là, cocher la case "Toujours valider les certificats de confiance" et attendre jusqu'à ce que le logiciel affiche "Fiable" à côté du mot "Confiance".
Laisser le lecteur de carte branché avec la carte dedans. Relancer Firefox (le lecteur de carte doit donc bien être connecté, carte insérée, avant le démarrage de Firefox). Avant d'aller sur Tax-on-Web, dans le premier menu de la page d'accueil Firefox, aller dans le menu "Préférences". Y prendre l'onglet "Avancé". Dans ce menu, cliquer sur l'onglet "Certificats". Là, cliquer sur le bouton "Afficher les certificats". Dans la fenêtre qui apparaît, cherchez les Certificats sous les appellations "Belgium Root" (par exemple : "Citizen CA"). Les saisir un par un. Cliquez pour chaque saisie sur "Modifier la confiance". Dans la fenêtre qui apparaît à chaque fois ("Modifier les paramètres de confiance"), cocher toutes les cases (toutes !). Cliquer sur "OK" à chaque Certificat. Veiller à n'avoir oublié aucun certificat "Belgium Root".
Avec Firefox ainsi ouvert et aux "Préférences" ainsi programmées, entrez sur "TAX-ON-WEB". Cliquez sur "Vers ma déclaration". Dans la page "Identification via CSAM" qui apparaît, choisissez votre mode d'identification. Si vous choisissez par "carte d'identité électronique", cliquez "OK" sur la demande faite par "TAX-ON-WEB" de choisir personnellement le certificat. "TAX-ON-WEB" vous demandera le code"Pin" de votre carte d'identité. Celui-ci rentré, vous entrez sur votre espace personnel dans "TAX-ON-WEB".

installation impossible Noté 1 sur 5 étoiles

ne s'installe plus et ne fonctionne plus sous Firefox 38

Thank you for reporting this, Firefox indeed has stopped looking into our current extension folder path.
Installing the plugin from the mozilla store should work.

Noté 1 sur 5 étoiles

Extension impossible à installer : elle plante Firefox au redémarrage et doit être enlevée pour que le navigateur fonctionne à nouveau !
Mac OS 10.9.5 - eID viewer 4.0.7 fonctionne - Firefox 38.0.1

Wat wil je meer Noté 5 sur 5 étoiles

Je klikt, en het werkt...10 sec.
Wat wil je meer ?

Noté 4 sur 5 étoiles

Allereerst: super veel dank aan Wouter dat hij de tijd blijft nemen om de reacties op deze pagina te beantwoorden.

't Is altijd een heel gedoe om het eID-verhaal aan de praat te krijgen. Maar met deze plugin en heel wat geduld komt het meestal wel goed. Onvoorstelbaar dat FEDICT lijkt te denken dat deze huidige opzet voor het grote publiek bruikbaar is.

Een paar tips voor Mac gebruikers:
- gebruik Firefox in combinatie met deze plugin, met een andere browser heb ik het nog nooit aan de praat gekregen
- sluit de eID lezer aan voordat je je Mac aanzet
- steek je kaart in de lezer voordat je FireFox start

Voor wie nog problemen heeft, volgende setup werkt op dit moment voor mij: OS X 10.10.3 - FireFox 37 - eID MW 4.0.7.

----

Update: na de raadgevingen van Fedict (zie repliek op mijn review) heb ik de eID ook onder Safari aan de praat gekregen. Bedankt!

Beste,

Het spijt me te horen dat het niet lukt te authentiseren op Yosemite, gebruik makend van safari of google chrome.
Hoewel u blijkbaar goed op de hoogte bent, wil ik toch nog even de meest voorkomende issues en hun oplossingen op yosemite oplijsten:

-) Door de quickinstaller wordt ook software voor kaartlezers geïnstalleerd. 1 van deze software pakketten veranderde het standaard OS X gedrag met betrekking tot het starten van smart card gerelateerde services.
Deze wijziging was wenselijk onder voorgaande versies van OS X, maar niet meer onder Yosemite. We hebben de quickinstaller dan ook aangepast zodat deze die wijziging ongedaan maakt.
Deze aangepaste versie stond reeds lange tijd beschikbaar als toekomstige versie voor OS X, en sinds begin april 2015 ook als huidige versie voor OS X.
+) Oplossen van dit issue bestaat er in de laatste versie van de quickinstaller (407.7804) te installer op OS X

-) Wanneer men zich authentiseerd op een webpagina, met behulp van safari, dan wordt uw certificaatkeuze opgeslagen in sleutelhangertoegang.
(zodat u bij volgende authenticatie uw certificaat niet meer hoeft te kiezen tussen uw handtekening of authenticatie certificaat).
Moest u per vergissing de eerste maal dat u de site bezocht, uw handtekening certificaat gekozen hebben, dan zal de authenticatie falen, en ook volgende authenticatiepogingen zullen falen daar safari steeds het handtekening certificaat zal blijven gebruiken.
+) Om deze situatie recht te zetten, dient u de opgeslagen certificaatkeuze in sleutelhangertoegang te verwijderen:
1) hang op kaartlezer aan de mac en steek uw eID kaart in de kaartlezer
2) open sleutelhangertoegang (applications/utilities/Keychain access) .
3) In sleutelhangertoegang, selecteer keychain 'login' (de lijst van sleutelhangers vind je links)
Rechts krijg je een lijst met certificaten, sleutels en voorkeuren.
Zoek de identiteitsvoorkeuren (identity preferences) van de site waar je je wil authentiseren, (zoek onder 'naam')
en dubbelklik erop. Nu kan je het certificaat kiezen dat bij voorkeur wordt gebruikt: kies je authenticatie certificaat.
(een alternatief voor op de identiteitsvoorkeur van die url te dubbelklikken, is erop te klikken met de rechtermuisknop (ctrl-klik), en dan de identiteitsvoorkeur te verwijderen)

-) Wanneer u in de browser een waarschuwing blijft krijgen dat de laatste versie van de middleware dient gebruikt te worden.
+) Dit is enkel een melding, wanneer u versie 407 reeds geïnstalleerd heeft, mag u deze melding gerust negeren.


In geval van problemen met de eID middleware, kan u steeds contect opnemen met onze servicedesk via http://eid.belgium.be/nl/je_eid_gebruiken/hulp_nodig_/contact/

Noté 2 sur 5 étoiles

Peut-être utile pour ceux qui comme moi ont galéré des semaines en pensant que le module ne fonctionnait pas: à l'installation, il est désactivé par défaut. Il faut donc l'activer manuellement... ça ne vous garantira toujours pas l'accès au site (ce serait trop facile) mais au moins vous pourrez passer l'étape de cette fichue erreur SSL :p

Noté 1 sur 5 étoiles

Werkt niet op een MAC. De laatste versie werd geïnstalleerd en de add-on voor Firefox! (Misschien ligt het aan de website van CM (Christelijke Mutualiteit) waar steeds de foutmelding komt dat de laatste versie geïnstalleerd moet worden.

"de foutmelding komt dat de laatste versie geïnstalleerd moet worden"
I believe you are refering to the warning message on some sites that is placed there to make sure people are using the latest version of the middleware. (needed for 10 year valid cards, as well as for some newer secure pinpad readers).

This is just a notification message on the site, not an error message.

eID Noté 1 sur 5 étoiles

Werkt alleen met windows, niet met Linux ubuntu dus waarom niet, ook nergens support te vinden, dus inloggen met een token gaat wel maar is omslachtig. Jammer....

ben al uren bezig om eID te instaleren maar het lukt me niet. Heb alle stappen gedaan volgens het boekje. Krijg steeds een SSL eror van de server terug. Hoe los ik dit op ???

Wat er juist misloopt is moeilijk te zeggen. Het moet normaal gezien wel lukken (het lukt op mijn Ubuntu).

Om je probleem op te lossen kan je best contact opnemen met de service desk. Op http://www.services.fedict.be/nl/Contact kan je meer informatie vinden over hoe je dat moet doen.

Noté 1 sur 5 étoiles

Totaal tijdverlies voor Mac-gebruikers. Werkt niet in Safari, Chrome en zelfs niet in Firefox met deze plugin. De overheid faalt, kan geen technologie implementeren.

***********************************
Answer to developper's first question: yes I tried both the current and the future release with all browsers to no avail. I am using the Belfius reader which works fine on Windows. In the past I have managed to make it work with a different device but it took hours of work. I do not want to repeat this again as it was a very frustrating experience. I will check the service in order to fill in the next tax form. Let's hope that by then it works out of the box.

Did you try installing the future release version?
http://eid.belgium.be/en/using_your_eid/installing_the_eid_software/mac/ -> future version

We fixed an issue there where the launch behavior of securityd was adjusted by a card reader driver installer.

**************************************
Please be aware that when using a secure PINpad reader (e.g. the Belfius reader you have) with safari and google chroome on Mac, no message will be displayed on screen that asks to enter your PIN. But your card reader will display a message on its screen asking for the PIN.

Noté 4 sur 5 étoiles

Misschien wat meer informatie bij "over deze add-on" dat firefox moet afgesloten zijn vooraleer de reader in te pluggen, zou veel problemen kunnen voorkomen. Ben blij dat ik niet meer moet overschakelen naar IE.

Thank you for reporting this regression on Windows.
We've updated the about message (untill a fix is released)

Waardeloos systeem Noté 1 sur 5 étoiles

Wie dit waardeloos systeem heeft bedacht moet opgehangen worden, werkt voor geen meter ik probeer al een tijdje in te loggen maar zonder resultaat ik heb van alles geprobeerd maar tevergeefs. is eigenlijk geen ster waard.

It is hard to help on such unclear message :(

You can contact our helpdesk by filling in the contact form available at:
http://eid.belgium.be/en/using_your_eid/need_help/

Noté 1 sur 5 étoiles

waardeloos niet geschikt om met mac te werken....

Beetje meer detail?

Onze software wordt altijd uitgebreid getest, ook op OSX, vooraleer we een release doen voor één van de ondersteunde platformen (OSX, Windows, LInux). Dat wil niet zeggen dat het altijd en overal perfect werkt, maar als er problemen zijn horen we die graag. Merk op dat de FedICT servicedesk je dan ook graag verder helpt.

Gewoon zeggen dat iets "waardeloos" is, zonder meer detail, is echter niet de beste manier om tot een oplossing te komen.

Noté 1 sur 5 étoiles

Met veel moeite (trage installatie zonder veel feedback) geïnstalleerd gekregen, dan éénmaal kunnen aansluiten en inloggen via FireFox (met Safari is dit nooit gelukt).

Daarna telkens de melding dat de laatste add-on voor FireFox moet gebruikt worden (welke zeer zeker aanwezig is en geactiveerd). Toch steeds een foutmelding, herstarten, herinstalleren, al dan niet eerst aansluiten, op één been staan, de adem inhouden, ... niets helpt.

Hopeloos. Zeker niet gemaakt met Mac gebruikers in gedachten.

Hello,

Regarding the firefox add-on:
All it does is telling firefox where it can find our pkcs11 library.
So if firefox authentication succeeded once, there is no need to re-install the addon.
You can also check if our pkcs11 library is attached by going through the follow firefox menu: preferences->advanced->certificates->securit devices
There you should find "Belgian eID PKCS#11 module"
and below it your card reader name (which will change into BELPIC when a card is inserted)

Which site are you trying to connect to? As there have been issue with firefox35 and test.eid.belgium.be lately

Regarding Safari:
If you're running on Yosemite, could you try to install our future release build for mac? You can find it on http://eid.belgium.be/en/using_your_eid/installing_the_eid_software/mac/ (the link a the bottom)
We fixed an issue there where the launch behavior of securityd was adjusted by a card reader driver.

Another issue to take into account when using safari, is that it remembers your certificate choice.
So if you once mistakenly tried to authenticate on a government site when your signature certificate, it will keep on using that certificate to log on to that site (which will fail)
In order to reset the certificate choice:
-) enter your eID card
-) open applications/utilities/Keychain access.
In keychain access, select keychain 'login' (the list of keychains is on the left)
On the right, you wil get a list of certificates, keys and preferences. you're interested in the identity preferences
search for the url of the site (e.g. https://test.eid.belgium.be) under name and double-click on it.
you should now be able to select your prefered certificate (select your authentication certificate).
-) An alternative for double clicking on that url, is right-clicking (ctrl-clink) on it and deleting it.

Fonctionne pour moi Noté 5 sur 5 étoiles

Addon parfait, bonne communication avec l'appareil de lecture de carte, fonctionne sur tous les sites intégrant le eid dans mon cas.

ssl_error_handshake_failure_alert Noté 1 sur 5 étoiles

Exactement le même problème que Steenhaut.
J'ai une erreur de certificat ssl permanente, alors que dans l'application eid viewer fournie avec le middelware, tout fonctionne.
Le module est activé, Belgium eID PKCS#11 Module est aussi présent dans le gestionnaire de périphérique, et j'ai autorisé sous Belgium Root CA2 l'ensemble des certificats. J'ai aussi modifié la valeur security.ssl.renego_unresticted_host pour que le serveur ccff02.minfin.fgov.be soit autorisé. Rien n'y fait, Firefox me fait toujours une erreur Exactement le même problème que Steenhaut.
J'ai une erreur de certificat ssl permanente, alors que dans l'application eid viewer fournie avec le middelware, tout fonctionne.
Le module est activé, Belgium eID PKCS#11 Module est aussi présent dans le gestionnaire de périphérique, et j'ai autorisé sous Belgium Root CA2 l'ensemble des certificats. J'ai aussi modifié la valeur security.ssl.renego_unresticted_host pour que le serveur ccff02.minfin.fgov.be soit autorisé. Rien n'y fait, Firefox me fait toujours une erreur ssl_error_handshake_failure_alert.
Une idée pour que du coup je change ma note?

Niet compatibel met Mac-computers? Noté 1 sur 5 étoiles

Nog maar eens geprobeerd te testen, op de webstek https://test.eid.belgium.be, en Firefox-Mac geeft mij de repliek: ssl_error_handshake_failure_alert) .
Twee dingen zijn zeker. Ten eerste, aan de gebruikers werd niet gedacht, er is zelfs geen optie voor instellingen voorzien. En ten tweede, deze software werd duidelijk niet getest op Mac-computers. Een regelrechte schande is dat. Wat een nachtmerrie!

Cet utilisateur a une revue précédente sur ce module.

Can you check if your eid belgium add-on is activated?
(go to menu Extra -> Add-ons -> Extentions, then search for eID Belgium, and click the enable button if it is present)

Noté 1 sur 5 étoiles

Ik probeer vruchteloos al meerdere keren mijn gegevens te wijzigen op het paspoort. Dit zou gemakkelijk moeten zijn, maak het dan aub ook zo dat we onmiddellijk kunnen inlezen.
Het idee is er, maar de uitvoering moet serieus aan gewerkt worden

Noté 1 sur 5 étoiles

Ik wordt knettergek van de eid reader
Ik sukkel al maanden met dit probleem dat wisselend aanwezig is,
ik heb mac os x 10.9.3, gebruik een reader van fedict,
Ik ben arts en moet inloggen EN voor vaccinaties op vaccinet EN op de EMD sites van ziekenhuizen met eid
Ik krijg zeer vaak de melding dat er geen certificaten zijn of ongeldig zijn, ook de SSL error handshake enz
Soms krijg ik het functioneel door de eid reader te herinstalleren, certificaten te herinstalleren, add on te herinstalleren, meestal niet,
actueel raak ik op geen van beide sites, niet met firefox en niet met safari ...

Geachte,

Op OS X 10.9 zijn er gekende problemen met de Digipass 905 v1.1 die verdeeld is door fedict.
Wanneer de mac zo'n 15 seconden in slaapmodus geweest is geraakt deze kaartlezer niet meer wakker, en dient hij uitgetrokken en opnieuw ingestoken te worden vooraleer hij weer gebruikt kan worden.
Ook wanneer de mac opstart met de kaartlezer ingestoken kan dit probleem zich voordoen.
Moest u over zulke lezer beschikken, dan kan deze waarschijnlijk omgeruild worden, zie https://retail.vasco.com/install/faq/20100114_990081.aspx

Let er bij gebruik met firefox ook op dat de kaartlezer is aangesloten vooraleer firefox gestart wordt.

Noté 1 sur 5 étoiles

De foutenmeldingen zijn niet duidelijk voor de gebruiker. Zo kreeg ik de foutmelding "ssl_error_handshake_failure_alert error". Wat blijkt nu, na heel lang zoeken en controleren? Dat er geen certificaten op mijn kaart staan. Hoe kan ik dat kunnen afleiden uit die onduidelijke foutenboodschap?

Cet utilisateur a une revue précédente sur ce module.

Deze foutmelding komt niet van de eid plugin, noch van de eID Middleware, wij zullen die dan ook niet kunnen aanpassen.
Onze plugin linkt onze pkcs11 module met firefox, en via de pkcs11 module gaat firefox zoeken naar certificaten op de eID kaart. Indien er geen zijn geven we er aan dat er geen gevonden zijn, en dan is het aan firefox om dit verder af te handelen.

Ik zal uw melding mededelen aan de servicedesk, zodat deze bekeken kan worden met betrekking tot de FAQ (http://test.eid.belgium.be/faq/faq_nl.htm)

Waarom sluit firefox niet af? Noté 4 sur 5 étoiles

De meest recente versie van eID geïnstalleerd, maar het probleem dat ik vroeger altijd heb gehad blijft: als de kaartlezer NIET is aangesloten bij het opstarten van Firefox, sluit Firefox ook niet goed af. Ik moet dan in de taskmanager het proces "firefox.exe" beëindigen (en dan wordt ook het proces "plugin-container.exe" beëindigd). Vervelend, want ik wil niet steeds die kaartlezer aangesloten hebben. Enig idee hoe dit is op te lossen? Gebruik Windows XP SP3 met de allerlaatste updates, en Firefox 32.0.3, dus ook de meest recente versie. De kaartlezer is een OMNIKEY 3021 van arrowUp.
Voor de rest werkt alles uitstekend, dus toch 4 sterren

bedankt voor de rapportering en de sequentie beschrijving. Ik kan het probleem reproduceren op Window 8.1 (door kaart ingestoken te hebben en kaartlezer uitgetrokken alvorens ff te beeïndigen).
We zullen dit opnemen